######################################################
#
# * Copyright 1999 Peter Apian-Bennewitz, pab-opto
# * ALL RIGHTS RESERVED
# * 
# * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF PAB-OPTO
# * The copyright notice above does not evidence any  actual  or
# * intended  publication of this source code and material is an
# * unpublished work by Peter Apian-Bennewitz.  This  material
# * contains CONFIDENTIAL INFORMATION that is the property and a
# * trade secret of Peter Apian-Bennewitz. Any use,  duplication
# * or  disclosure  not  specifically  authorized  in writing by
# * Peter Apian-Bennewitz is  strictly  prohibited.  THE  RECEIPT  OR
# * POSSESSION  OF  THIS SOURCE CODE AND/OR INFORMATION DOES NOT
# * CONVEY ANY RIGHTS TO REPRODUCE, DISCLOSE OR  DISTRIBUTE  ITS
# * CONTENTS,  OR  TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT
# * MAY DESCRIBE, IN WHOLE OR IN PART.
#  
######################################################


#######################
#
#	coordinate pulldown menu
#
#	$Id: coors_geo.tcl,v 1.6 2000/02/13 11:02:06 apian Exp apian $
#	sourced from gui1_add.tcl,
#	called from coors_geo_tcl.c after that function defined
#	namespace and variables for communication
#
#
#######################

proc coors_geo_setup { ns base } {

    namespace eval ${ns} {

	variable ns [uplevel {concat $ns}]
	variable base [uplevel {concat $base}]
	set pdm $base.frame_topbar.cg

#
#	menu
#

	menubutton $pdm -text "coordinates" -menu $pdm.m
	grid  $pdm -in ${base}.frame_topbar -row 1 -column 5

	menu $pdm.m 
	$pdm.m add radiobutton -label "no display" -value 0x00 \
		 -variable ${ns}::fp_on -command "$base.acker guitrig X"
	$pdm.m add radiobutton -label "small cross" -value 0x01 \
		 -variable ${ns}::fp_on -command "$base.acker guitrig X"
	$pdm.m add radiobutton -label "large cross" -value 0x02 \
		 -variable ${ns}::fp_on -command "$base.acker guitrig X"
	$pdm.m add checkbutton -label "dump pos to stdout" \
		 -variable ${ns}::fp_dump

    }
}
