######################################################
#
# * Copyright 1999 Peter Apian-Bennewitz, pab-opto
# * ALL RIGHTS RESERVED
# * 
# * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF PAB-OPTO
# * The copyright notice above does not evidence any  actual  or
# * intended  publication of this source code and material is an
# * unpublished work by Peter Apian-Bennewitz.  This  material
# * contains CONFIDENTIAL INFORMATION that is the property and a
# * trade secret of Peter Apian-Bennewitz. Any use,  duplication
# * or  disclosure  not  specifically  authorized  in writing by
# * Peter Apian-Bennewitz is  strictly  prohibited.  THE  RECEIPT  OR
# * POSSESSION  OF  THIS SOURCE CODE AND/OR INFORMATION DOES NOT
# * CONVEY ANY RIGHTS TO REPRODUCE, DISCLOSE OR  DISTRIBUTE  ITS
# * CONTENTS,  OR  TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT
# * MAY DESCRIBE, IN WHOLE OR IN PART.
#  
######################################################

#
# op-up menu for falsecolor scale
# $Header: /users/apian/r/rshow/RCS/fciscale.tcl,v 1.6 1999/12/18 20:52:30 apian Exp $
#

proc fciscale {from mid to} {

	set base ".fciscale"

	if { ! [ winfo exists ${base} ] } {
	  toplevel ${base}
	  set ::fci [image create photo -file $::rshow_path/fciscale.gif]
	  label $base.tit -text {falsecolor scale}
	  entry $base.tit2 -textvariable ::fci_tv -width 6 -relief flat
	  label $base.image -image $::fci
	  label $base.high -text $to
	  label $base.mid -text $mid
	  label $base.low -text $from
	  button $base.ca  -text "cancel" -command "destroy ${base}"
	} else {
	  $base.high configure -text $to
	  $base.mid configure -text $mid
	  $base.low configure -text $from
	  raise ${base}
	}

	grid $base.tit   -column 0 -row 0 -columnspan 1
	grid $base.tit2  -column 1 -row 0 -columnspan 1
	grid $base.image -column 0 -row 1 -rowspan 3
	grid $base.high -column 1 -row 1  -sticky n
	grid $base.mid  -column 1 -row 2  
	grid $base.low  -column 1 -row 3  -sticky s
	grid $base.ca   -column 0 -row 4 -columnspan 2
}

set ::fci_tv {[W/m2]}

#set ::rshow_path "."
#fciscale 0 10 10
#fciscale 0 10 20
