######################################################
#
# * Copyright 1999 Peter Apian-Bennewitz, pab-opto
# * ALL RIGHTS RESERVED
# * 
# * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF PAB-OPTO
# * The copyright notice above does not evidence any  actual  or
# * intended  publication of this source code and material is an
# * unpublished work by Peter Apian-Bennewitz.  This  material
# * contains CONFIDENTIAL INFORMATION that is the property and a
# * trade secret of Peter Apian-Bennewitz. Any use,  duplication
# * or  disclosure  not  specifically  authorized  in writing by
# * Peter Apian-Bennewitz is  strictly  prohibited.  THE  RECEIPT  OR
# * POSSESSION  OF  THIS SOURCE CODE AND/OR INFORMATION DOES NOT
# * CONVEY ANY RIGHTS TO REPRODUCE, DISCLOSE OR  DISTRIBUTE  ITS
# * CONTENTS,  OR  TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT
# * MAY DESCRIBE, IN WHOLE OR IN PART.
#  
######################################################


#######################
#
#	cam_geo pulldown menu
#
#	$Header: /users/apian/r/rshow/RCS/cam_geo.tcl,v 1.3 1999/12/18 20:52:30 apian Exp $
#	sourced from gui1_add.tcl,
#	called from cam_geo_tcl.c after that function defined
#	namespace and variables for communication
#
#######################

proc cam_geo_setup { ns base } {

    namespace eval ${ns} {

	variable ns [uplevel {concat $ns}]
	variable base [uplevel {concat $base}]
	set pdm $base.frame_topbar.cd

	menubutton $pdm -text "cam_geo" -menu $pdm.m
	grid  $pdm -in ${base}.frame_topbar -row 1 -column 3

	menu $pdm.m 
	$pdm.m add checkbutton -variable ${ns}::style -onvalue 0x01 -label "display"  -command "${base}.acker guitrig X"
   }

}
